Nimply Developers
API ReferenceBrand kits

List published posts to learn from

GET
/v1/brand-kits/{id}/style/post-candidates

The workspace's published posts that have at least one image, newest first (24 per page). Pass their ids as postIds to POST …/style/examples.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

channelId?string

Only posts of this channel.

Formatuuid
cursor?string

nextCursor from the previous page.

Response Body

application/json

curl -X GET "https://example.com/v1/brand-kits/497f6eca-6276-4993-bfeb-53cbbbba6f08/style/post-candidates"
{  "data": [    {      "postId": "1d33c5d7-f0cb-41cc-a647-907f16832fc3",      "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",      "platform": "INSTAGRAM",      "publishedAt": "2019-08-24T14:15:22Z",      "caption": "string",      "previewUrl": "string",      "imageCount": 1    }  ],  "nextCursor": "string"}
Empty